GetCalculatedChannel
curl --request GET \
--url https://api.siftstack.com/api/v2/calculated-channels/{calculatedChannelId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v2/calculated-channels/{calculatedChannelId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/calculated-channels/{calculatedChannelId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"calculatedChannel": {
"calculatedChannelId": "<string>",
"organizationId": "<string>",
"versionId": "<string>",
"version": 123,
"name": "<string>",
"description": "<string>",
"changeMessage": "<string>",
"userNotes": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"calculatedChannelConfiguration": {
"assetConfiguration": {
"allAssets": true,
"selection": {
"assetIds": [
"<string>"
],
"tagIds": [
"<string>"
]
}
},
"queryConfiguration": {
"sel": {
"expression": "<string>",
"expressionChannelReferences": [
{
"channelReference": "<string>",
"channelIdentifier": "<string>"
}
]
}
}
},
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"functionDependencies": [
{
"userDefinedFunctionVersionId": "<string>"
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z"
}
],
"clientKey": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"units": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}CalculatedChannelService
GetCalculatedChannel
Retrieve the latest version of a calculated channel.
GET
/
api
/
v2
/
calculated-channels
/
{calculatedChannelId}
GetCalculatedChannel
curl --request GET \
--url https://api.siftstack.com/api/v2/calculated-channels/{calculatedChannelId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v2/calculated-channels/{calculatedChannelId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/calculated-channels/{calculatedChannelId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"calculatedChannel": {
"calculatedChannelId": "<string>",
"organizationId": "<string>",
"versionId": "<string>",
"version": 123,
"name": "<string>",
"description": "<string>",
"changeMessage": "<string>",
"userNotes": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"calculatedChannelConfiguration": {
"assetConfiguration": {
"allAssets": true,
"selection": {
"assetIds": [
"<string>"
],
"tagIds": [
"<string>"
]
}
},
"queryConfiguration": {
"sel": {
"expression": "<string>",
"expressionChannelReferences": [
{
"channelReference": "<string>",
"channelIdentifier": "<string>"
}
]
}
}
},
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"functionDependencies": [
{
"userDefinedFunctionVersionId": "<string>"
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z"
}
],
"clientKey": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"units": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
A successful response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I